-- AIM: Set correct pos_ar_id in pos_config
BEGIN;
WITH qa AS (
    SELECT pc.id pos_config_id, pa.id pos_ar_id 
    FROM pos_config pc 
        JOIN pos_ar pa ON pa.name = pc.pos_ar_name 
    WHERE pa.active IS True)
UPDATE pos_config pc 
SET pos_ar_id=qa.pos_ar_id
FROM qa WHERE pc.id=qa.pos_config_id;
