# -*- coding: utf-8 -*-
##############################################################################
#
#    Copyright (C) 2017-TODAY Eynes (<http://www.e-mips.com.ar>)
#
#    This is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from openerp import _, api, fields, models


class ProductProduct(models.Model):
    _inherit = 'product.product'

    is_combo = fields.Boolean('Is Combo?')
    is_consignation = fields.Boolean('Is Consignation?')
    component_ids = fields.Many2many(
        'product.product', 'product_combo_rel',
        'product_id', 'component_id', string='Products',
        domain='[("sale_ok", "=", True)]')
    financings = fields.Many2many(
        'financing.config', 'financing_product_rel',
        'product_id', 'financing_id',
        string='Financings', readonly=True)
