import logging

_logger = logging.getLogger(__name__)


ai_obj = self.env['account.invoice']
dom = [('pos_ar_id','=',69),('cae','=',False),('state','in',('open','paid'))]
ai_todo = ai_obj.search(dom, order='id asc')
assert len(ai_todo) == 1, 'expected 156 invoices'
for ai in ai_todo:
    cae = False
    while not cae:
        _logger.info('Processing %s' % ai)
        ai.internal_number = False
        ai.pos_ar_id = 102
        ai.date_invoice = '2019-12-06'
        # Set the period to move
        ai.period_id = 79
        ai.move_id.period_id = 79
        ai.move_id.date = '2019-12-06'
        # Try to validate the invoice
        try:
            ai.action_number()
            ai.action_aut_cae()
        except:
            _logger.exception('Unable to get cae')
            env.cr.rollback()
        else:
            _logger.info('Processed %s' % ai)
            cae = True
            env.cr.commit()
